이 페이지는 아직 한국어로 제공되지 않습니다. 번역 작업 중입니다.
현재 번역 프로젝트에 대한 질문이나 피드백이 있으신 경우 언제든지 연락주시기 바랍니다.

Network Device Monitoring

Network Device Monitoring API를 사용하면 장치와 인터페이스 및 그 속성을 가져올 수 있습니다. 자세한 정보는 Network Device Monitoring 페이지를 참조하세요.

Get the list of devices →

GET https://api.ap1.datadoghq.com/api/v2/ndm/deviceshttps://api.ap2.datadoghq.com/api/v2/ndm/deviceshttps://api.datadoghq.eu/api/v2/ndm/deviceshttps://api.ddog-gov.com/api/v2/ndm/deviceshttps://api.us2.ddog-gov.com/api/v2/ndm/deviceshttps://api.uk1.datadoghq.com/api/v2/ndm/deviceshttps://api.datadoghq.com/api/v2/ndm/deviceshttps://api.us3.datadoghq.com/api/v2/ndm/deviceshttps://api.us5.datadoghq.com/api/v2/ndm/devices

Get the device details →

GET https://api.ap1.datadoghq.com/api/v2/ndm/devices/{device_id}https://api.ap2.datadoghq.com/api/v2/ndm/devices/{device_id}https://api.datadoghq.eu/api/v2/ndm/devices/{device_id}https://api.ddog-gov.com/api/v2/ndm/devices/{device_id}https://api.us2.ddog-gov.com/api/v2/ndm/devices/{device_id}https://api.uk1.datadoghq.com/api/v2/ndm/devices/{device_id}https://api.datadoghq.com/api/v2/ndm/devices/{device_id}https://api.us3.datadoghq.com/api/v2/ndm/devices/{device_id}https://api.us5.datadoghq.com/api/v2/ndm/devices/{device_id}

Get the list of interfaces of the device →

GET https://api.ap1.datadoghq.com/api/v2/ndm/interfaceshttps://api.ap2.datadoghq.com/api/v2/ndm/interfaceshttps://api.datadoghq.eu/api/v2/ndm/interfaceshttps://api.ddog-gov.com/api/v2/ndm/interfaceshttps://api.us2.ddog-gov.com/api/v2/ndm/interfaceshttps://api.uk1.datadoghq.com/api/v2/ndm/interfaceshttps://api.datadoghq.com/api/v2/ndm/interfaceshttps://api.us3.datadoghq.com/api/v2/ndm/interfaceshttps://api.us5.datadoghq.com/api/v2/ndm/interfaces

Get the list of tags for a device →

GET https://api.ap1.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.ap2.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.datadoghq.eu/api/v2/ndm/tags/devices/{device_id}https://api.ddog-gov.com/api/v2/ndm/tags/devices/{device_id}https://api.us2.ddog-gov.com/api/v2/ndm/tags/devices/{device_id}https://api.uk1.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.us3.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.us5.datadoghq.com/api/v2/ndm/tags/devices/{device_id}

Update the tags for a device →

PATCH https://api.ap1.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.ap2.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.datadoghq.eu/api/v2/ndm/tags/devices/{device_id}https://api.ddog-gov.com/api/v2/ndm/tags/devices/{device_id}https://api.us2.ddog-gov.com/api/v2/ndm/tags/devices/{device_id}https://api.uk1.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.us3.datadoghq.com/api/v2/ndm/tags/devices/{device_id}https://api.us5.datadoghq.com/api/v2/ndm/tags/devices/{device_id}

List tags for an interface →

GET https://api.ap1.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.ap2.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.datadoghq.eu/api/v2/ndm/tags/interfaces/{interface_id}https://api.ddog-gov.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us2.ddog-gov.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.uk1.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us3.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us5.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}

Update the tags for an interface →

PATCH https://api.ap1.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.ap2.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.datadoghq.eu/api/v2/ndm/tags/interfaces/{interface_id}https://api.ddog-gov.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us2.ddog-gov.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.uk1.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us3.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}https://api.us5.datadoghq.com/api/v2/ndm/tags/interfaces/{interface_id}